# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: eros/api/eros.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from eros.api import account_pb2 as eros_dot_api_dot_account__pb2
from eros.api import user_pb2 as eros_dot_api_dot_user__pb2
from eros.api import profile_pb2 as eros_dot_api_dot_profile__pb2
from eros.api import notification_pb2 as eros_dot_api_dot_notification__pb2
from eros.api import accomplishment_pb2 as eros_dot_api_dot_accomplishment__pb2
from weclikd.common import follow_pb2 as weclikd_dot_common_dot_follow__pb2
from weclikd.common import subscription_pb2 as weclikd_dot_common_dot_subscription__pb2
from weclikd.common import filter_pb2 as weclikd_dot_common_dot_filter__pb2
from google.protobuf import timestamp_pb2 as google_dot_protobuf_dot_timestamp__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='eros/api/eros.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x13\x65ros/api/eros.proto\x12\x07weclikd\x1a\x16\x65ros/api/account.proto\x1a\x13\x65ros/api/user.proto\x1a\x16\x65ros/api/profile.proto\x1a\x1b\x65ros/api/notification.proto\x1a\x1d\x65ros/api/accomplishment.proto\x1a\x1bweclikd/common/follow.proto\x1a!weclikd/common/subscription.proto\x1a\x1bweclikd/common/filter.proto\x1a\x1fgoogle/protobuf/timestamp.proto\"J\n\x1c\x43hangeAccountSettingsRequest\x12*\n\x08settings\x18\x01 \x01(\x0b\x32\x18.weclikd.AccountSettings\"\x1f\n\x1d\x43hangeAccountSettingsResponse\"Q\n\x19\x43hangeSubscriptionRequest\x12\x34\n\x04type\x18\x01 \x01(\x0e\x32&.weclikd.Subscription.SubscriptionType\"\x1c\n\x1a\x43hangeSubscriptionResponse\"\x18\n\x16\x43hangeAccessKeyRequest\"-\n\x17\x43hangeAccessKeyResponse\x12\x12\n\naccess_key\x18\x01 \x01(\t\"(\n\x14\x43heckUsernameRequest\x12\x10\n\x08username\x18\x01 \x01(\t\"\x17\n\x15\x43heckUsernameResponse\"6\n GetAccountIdFromAccessKeyRequest\x12\x12\n\naccess_key\x18\x01 \x01(\t\"e\n!GetAccountIdFromAccessKeyResponse\x12\x12\n\naccount_id\x18\x01 \x01(\x04\x12,\n\rcustom_claims\x18\x02 \x01(\x0b\x32\x15.weclikd.CustomClaims\"\x8d\x01\n\x14\x43reateAccountRequest\x12\r\n\x05\x65mail\x18\x01 \x01(\t\x12\x12\n\nfirst_name\x18\x02 \x01(\t\x12\x11\n\tlast_name\x18\x03 \x01(\t\x12\x10\n\x08username\x18\x04 \x01(\t\x12\x13\n\x0b\x66irebase_id\x18\x05 \x01(\t\x12\x18\n\x10inviter_username\x18\x06 \x01(\t\":\n\x15\x43reateAccountResponse\x12!\n\x07\x61\x63\x63ount\x18\x01 \x01(\x0b\x32\x10.weclikd.Account\"\x84\x01\n\x11\x43reateUserRequest\x12\x10\n\x08username\x18\x01 \x01(\t\x12\x11\n\tfull_name\x18\x02 \x01(\t\x12\x19\n\x11\x62\x61nner_picture_id\x18\x03 \x01(\x04\x12\x1a\n\x12profile_picture_id\x18\x04 \x01(\x04\x12\x13\n\x0b\x64\x65scription\x18\x05 \x01(\t\"1\n\x12\x43reateUserResponse\x12\x1b\n\x04user\x18\x01 \x01(\x0b\x32\r.weclikd.User\"\xb1\x01\n\x12\x45\x64itProfileRequest\x12\x10\n\x08username\x18\x01 \x01(\t\x12\x11\n\tfull_name\x18\x02 \x01(\t\x12*\n\x04type\x18\x03 \x01(\x0e\x32\x1c.weclikd.Profile.ProfileType\x12\x19\n\x11\x62\x61nner_picture_id\x18\x04 \x01(\x04\x12\x1a\n\x12profile_picture_id\x18\x05 \x01(\x04\x12\x13\n\x0b\x64\x65scription\x18\x06 \x01(\t\"8\n\x13\x45\x64itProfileResponse\x12!\n\x07profile\x18\x01 \x01(\x0b\x32\x10.weclikd.Profile\"T\n\x11GetAccountRequest\x12\x1d\n\x13\x65xternal_account_id\x18\x01 \x01(\x04H\x00\x12\x14\n\naccount_id\x18\x02 \x01(\x04H\x00\x42\n\n\x08oneof_id\"7\n\x12GetAccountResponse\x12!\n\x07\x61\x63\x63ount\x18\x01 \x01(\x0b\x32\x10.weclikd.Account\"9\n\x12GetProfilesRequest\x12\x10\n\x08user_ids\x18\x01 \x03(\x04\x12\x11\n\tusernames\x18\x02 \x03(\t\"9\n\x13GetProfilesResponse\x12\"\n\x08profiles\x18\x01 \x03(\x0b\x32\x10.weclikd.Profile\"-\n\x18GetIdFromUsernameRequest\x12\x11\n\tusernames\x18\x01 \x03(\t\"-\n\x19GetIdFromUsernameResponse\x12\x10\n\x08user_ids\x18\x02 \x03(\x04\"\x19\n\x17GetTrendingUsersRequest\">\n\x18GetTrendingUsersResponse\x12\"\n\x08profiles\x18\x01 \x03(\x0b\x32\x10.weclikd.Profile\"O\n\x11\x46ollowUserRequest\x12\x0f\n\x07user_id\x18\x01 \x01(\x04\x12)\n\x08settings\x18\x02 \x01(\x0b\x32\x17.weclikd.FollowSettings\"\x14\n\x12\x46ollowUserResponse\"&\n\x13UnfollowUserRequest\x12\x0f\n\x07user_id\x18\x01 \x01(\x04\"\x16\n\x14UnfollowUserResponse\"\x86\x01\n\x0c\x46ollowedUser\x12\x1e\n\x04user\x18\x01 \x01(\x0b\x32\x10.weclikd.Profile\x12)\n\x08settings\x18\x02 \x01(\x0b\x32\x17.weclikd.FollowSettings\x12+\n\x07\x63reated\x18\x03 \x01(\x0b\x32\x1a.google.protobuf.Timestamp\"\x19\n\x17GetUsersFollowedRequest\"I\n\x18GetUsersFollowedResponse\x12-\n\x0e\x66ollowed_users\x18\x01 \x03(\x0b\x32\x15.weclikd.FollowedUser\"A\n\x17GetNotificationsRequest\x12&\n\x06\x66ilter\x18\x01 \x01(\x0b\x32\x16.weclikd.DefaultFilter\"\\\n\x18GetNotificationsResponse\x12,\n\rnotifications\x18\x01 \x03(\x0b\x32\x15.weclikd.Notification\x12\x12\n\nend_cursor\x18\x02 \x01(\t\"4\n\x19\x44\x65leteNotificationRequest\x12\x17\n\x0fnotification_id\x18\x01 \x01(\x04\"I\n\x1a\x44\x65leteNotificationResponse\x12+\n\x0cnotification\x18\x01 \x01(\x0b\x32\x15.weclikd.Notification\"\"\n GetNumUnreadNotificationsRequest\"E\n!GetNumUnreadNotificationsResponse\x12 \n\x18num_unread_notifications\x18\x01 \x01(\r\" \n\x1eMarkNotificationsAsReadRequest\"!\n\x1fMarkNotificationsAsReadResponse\"<\n\x12GetAllUsersRequest\x12&\n\x06\x66ilter\x18\x01 \x01(\x0b\x32\x16.weclikd.DefaultFilter\"J\n\x13GetAllUsersResponse\x12\x1f\n\x05users\x18\x01 \x03(\x0b\x32\x10.weclikd.Profile\x12\x12\n\nend_cursor\x18\x02 \x01(\t2\x87\x0e\n\x04\x45ros\x12P\n\rCreateAccount\x12\x1d.weclikd.CreateAccountRequest\x1a\x1e.weclikd.CreateAccountResponse\"\x00\x12G\n\nCreateUser\x12\x1a.weclikd.CreateUserRequest\x1a\x1b.weclikd.CreateUserResponse\"\x00\x12V\n\x0f\x43hangeAccessKey\x12\x1f.weclikd.ChangeAccessKeyRequest\x1a .weclikd.ChangeAccessKeyResponse\"\x00\x12P\n\rCheckUsername\x12\x1d.weclikd.CheckUsernameRequest\x1a\x1e.weclikd.CheckUsernameResponse\"\x00\x12G\n\nGetAccount\x12\x1a.weclikd.GetAccountRequest\x1a\x1b.weclikd.GetAccountResponse\"\x00\x12t\n\x19GetAccountIdFromAccessKey\x12).weclikd.GetAccountIdFromAccessKeyRequest\x1a*.weclikd.GetAccountIdFromAccessKeyResponse\"\x00\x12J\n\x0bGetProfiles\x12\x1b.weclikd.GetProfilesRequest\x1a\x1c.weclikd.GetProfilesResponse\"\x00\x12\\\n\x11GetIdFromUsername\x12!.weclikd.GetIdFromUsernameRequest\x1a\".weclikd.GetIdFromUsernameResponse\"\x00\x12J\n\x0b\x45\x64itProfile\x12\x1b.weclikd.EditProfileRequest\x1a\x1c.weclikd.EditProfileResponse\"\x00\x12h\n\x15\x43hangeAccountSettings\x12%.weclikd.ChangeAccountSettingsRequest\x1a&.weclikd.ChangeAccountSettingsResponse\"\x00\x12_\n\x12\x43hangeSubscription\x12\".weclikd.ChangeSubscriptionRequest\x1a#.weclikd.ChangeSubscriptionResponse\"\x00\x12Y\n\x10GetTrendingUsers\x12 .weclikd.GetTrendingUsersRequest\x1a!.weclikd.GetTrendingUsersResponse\"\x00\x12J\n\x0bGetAllUsers\x12\x1b.weclikd.GetAllUsersRequest\x1a\x1c.weclikd.GetAllUsersResponse\"\x00\x12G\n\nFollowUser\x12\x1a.weclikd.FollowUserRequest\x1a\x1b.weclikd.FollowUserResponse\"\x00\x12M\n\x0cUnfollowUser\x12\x1c.weclikd.UnfollowUserRequest\x1a\x1d.weclikd.UnfollowUserResponse\"\x00\x12Y\n\x10GetUsersFollowed\x12 .weclikd.GetUsersFollowedRequest\x1a!.weclikd.GetUsersFollowedResponse\"\x00\x12Y\n\x10GetNotifications\x12 .weclikd.GetNotificationsRequest\x1a!.weclikd.GetNotificationsResponse\"\x00\x12_\n\x12\x44\x65leteNotification\x12\".weclikd.DeleteNotificationRequest\x1a#.weclikd.DeleteNotificationResponse\"\x00\x12t\n\x19GetNumUnreadNotifications\x12).weclikd.GetNumUnreadNotificationsRequest\x1a*.weclikd.GetNumUnreadNotificationsResponse\"\x00\x12n\n\x17MarkNotificationsAsRead\x12\'.weclikd.MarkNotificationsAsReadRequest\x1a(.weclikd.MarkNotificationsAsReadResponse\"\x00\x62\x06proto3'
  ,
  dependencies=[eros_dot_api_dot_account__pb2.DESCRIPTOR,eros_dot_api_dot_user__pb2.DESCRIPTOR,eros_dot_api_dot_profile__pb2.DESCRIPTOR,eros_dot_api_dot_notification__pb2.DESCRIPTOR,eros_dot_api_dot_accomplishment__pb2.DESCRIPTOR,weclikd_dot_common_dot_follow__pb2.DESCRIPTOR,weclikd_dot_common_dot_subscription__pb2.DESCRIPTOR,weclikd_dot_common_dot_filter__pb2.DESCRIPTOR,google_dot_protobuf_dot_timestamp__pb2.DESCRIPTOR,])




_CHANGEACCOUNTSETTINGSREQUEST = _descriptor.Descriptor(
  name='ChangeAccountSettingsRequest',
  full_name='weclikd.ChangeAccountSettingsRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='settings', full_name='weclikd.ChangeAccountSettingsRequest.settings', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=287,
  serialized_end=361,
)


_CHANGEACCOUNTSETTINGSRESPONSE = _descriptor.Descriptor(
  name='ChangeAccountSettingsResponse',
  full_name='weclikd.ChangeAccountSettingsResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=363,
  serialized_end=394,
)


_CHANGESUBSCRIPTIONREQUEST = _descriptor.Descriptor(
  name='ChangeSubscriptionRequest',
  full_name='weclikd.ChangeSubscriptionRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='type', full_name='weclikd.ChangeSubscriptionRequest.type', index=0,
      number=1, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=396,
  serialized_end=477,
)


_CHANGESUBSCRIPTIONRESPONSE = _descriptor.Descriptor(
  name='ChangeSubscriptionResponse',
  full_name='weclikd.ChangeSubscriptionResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=479,
  serialized_end=507,
)


_CHANGEACCESSKEYREQUEST = _descriptor.Descriptor(
  name='ChangeAccessKeyRequest',
  full_name='weclikd.ChangeAccessKeyRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=509,
  serialized_end=533,
)


_CHANGEACCESSKEYRESPONSE = _descriptor.Descriptor(
  name='ChangeAccessKeyResponse',
  full_name='weclikd.ChangeAccessKeyResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='access_key', full_name='weclikd.ChangeAccessKeyResponse.access_key', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=535,
  serialized_end=580,
)


_CHECKUSERNAMEREQUEST = _descriptor.Descriptor(
  name='CheckUsernameRequest',
  full_name='weclikd.CheckUsernameRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='username', full_name='weclikd.CheckUsernameRequest.username', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=582,
  serialized_end=622,
)


_CHECKUSERNAMERESPONSE = _descriptor.Descriptor(
  name='CheckUsernameResponse',
  full_name='weclikd.CheckUsernameResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=624,
  serialized_end=647,
)


_GETACCOUNTIDFROMACCESSKEYREQUEST = _descriptor.Descriptor(
  name='GetAccountIdFromAccessKeyRequest',
  full_name='weclikd.GetAccountIdFromAccessKeyRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='access_key', full_name='weclikd.GetAccountIdFromAccessKeyRequest.access_key', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=649,
  serialized_end=703,
)


_GETACCOUNTIDFROMACCESSKEYRESPONSE = _descriptor.Descriptor(
  name='GetAccountIdFromAccessKeyResponse',
  full_name='weclikd.GetAccountIdFromAccessKeyResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='account_id', full_name='weclikd.GetAccountIdFromAccessKeyResponse.account_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='custom_claims', full_name='weclikd.GetAccountIdFromAccessKeyResponse.custom_claims', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=705,
  serialized_end=806,
)


_CREATEACCOUNTREQUEST = _descriptor.Descriptor(
  name='CreateAccountRequest',
  full_name='weclikd.CreateAccountRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='email', full_name='weclikd.CreateAccountRequest.email', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='first_name', full_name='weclikd.CreateAccountRequest.first_name', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='last_name', full_name='weclikd.CreateAccountRequest.last_name', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='username', full_name='weclikd.CreateAccountRequest.username', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='firebase_id', full_name='weclikd.CreateAccountRequest.firebase_id', index=4,
      number=5, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='inviter_username', full_name='weclikd.CreateAccountRequest.inviter_username', index=5,
      number=6, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=809,
  serialized_end=950,
)


_CREATEACCOUNTRESPONSE = _descriptor.Descriptor(
  name='CreateAccountResponse',
  full_name='weclikd.CreateAccountResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='account', full_name='weclikd.CreateAccountResponse.account', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=952,
  serialized_end=1010,
)


_CREATEUSERREQUEST = _descriptor.Descriptor(
  name='CreateUserRequest',
  full_name='weclikd.CreateUserRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='username', full_name='weclikd.CreateUserRequest.username', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='full_name', full_name='weclikd.CreateUserRequest.full_name', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='banner_picture_id', full_name='weclikd.CreateUserRequest.banner_picture_id', index=2,
      number=3, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='profile_picture_id', full_name='weclikd.CreateUserRequest.profile_picture_id', index=3,
      number=4, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='description', full_name='weclikd.CreateUserRequest.description', index=4,
      number=5, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1013,
  serialized_end=1145,
)


_CREATEUSERRESPONSE = _descriptor.Descriptor(
  name='CreateUserResponse',
  full_name='weclikd.CreateUserResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='user', full_name='weclikd.CreateUserResponse.user', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1147,
  serialized_end=1196,
)


_EDITPROFILEREQUEST = _descriptor.Descriptor(
  name='EditProfileRequest',
  full_name='weclikd.EditProfileRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='username', full_name='weclikd.EditProfileRequest.username', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='full_name', full_name='weclikd.EditProfileRequest.full_name', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='type', full_name='weclikd.EditProfileRequest.type', index=2,
      number=3, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='banner_picture_id', full_name='weclikd.EditProfileRequest.banner_picture_id', index=3,
      number=4, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='profile_picture_id', full_name='weclikd.EditProfileRequest.profile_picture_id', index=4,
      number=5, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='description', full_name='weclikd.EditProfileRequest.description', index=5,
      number=6, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1199,
  serialized_end=1376,
)


_EDITPROFILERESPONSE = _descriptor.Descriptor(
  name='EditProfileResponse',
  full_name='weclikd.EditProfileResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='profile', full_name='weclikd.EditProfileResponse.profile', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1378,
  serialized_end=1434,
)


_GETACCOUNTREQUEST = _descriptor.Descriptor(
  name='GetAccountRequest',
  full_name='weclikd.GetAccountRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='external_account_id', full_name='weclikd.GetAccountRequest.external_account_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='account_id', full_name='weclikd.GetAccountRequest.account_id', index=1,
      number=2, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
    _descriptor.OneofDescriptor(
      name='oneof_id', full_name='weclikd.GetAccountRequest.oneof_id',
      index=0, containing_type=None,
      create_key=_descriptor._internal_create_key,
    fields=[]),
  ],
  serialized_start=1436,
  serialized_end=1520,
)


_GETACCOUNTRESPONSE = _descriptor.Descriptor(
  name='GetAccountResponse',
  full_name='weclikd.GetAccountResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='account', full_name='weclikd.GetAccountResponse.account', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1522,
  serialized_end=1577,
)


_GETPROFILESREQUEST = _descriptor.Descriptor(
  name='GetProfilesRequest',
  full_name='weclikd.GetProfilesRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='user_ids', full_name='weclikd.GetProfilesRequest.user_ids', index=0,
      number=1, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='usernames', full_name='weclikd.GetProfilesRequest.usernames', index=1,
      number=2, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1579,
  serialized_end=1636,
)


_GETPROFILESRESPONSE = _descriptor.Descriptor(
  name='GetProfilesResponse',
  full_name='weclikd.GetProfilesResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='profiles', full_name='weclikd.GetProfilesResponse.profiles', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1638,
  serialized_end=1695,
)


_GETIDFROMUSERNAMEREQUEST = _descriptor.Descriptor(
  name='GetIdFromUsernameRequest',
  full_name='weclikd.GetIdFromUsernameRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='usernames', full_name='weclikd.GetIdFromUsernameRequest.usernames', index=0,
      number=1, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1697,
  serialized_end=1742,
)


_GETIDFROMUSERNAMERESPONSE = _descriptor.Descriptor(
  name='GetIdFromUsernameResponse',
  full_name='weclikd.GetIdFromUsernameResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='user_ids', full_name='weclikd.GetIdFromUsernameResponse.user_ids', index=0,
      number=2, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1744,
  serialized_end=1789,
)


_GETTRENDINGUSERSREQUEST = _descriptor.Descriptor(
  name='GetTrendingUsersRequest',
  full_name='weclikd.GetTrendingUsersRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1791,
  serialized_end=1816,
)


_GETTRENDINGUSERSRESPONSE = _descriptor.Descriptor(
  name='GetTrendingUsersResponse',
  full_name='weclikd.GetTrendingUsersResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='profiles', full_name='weclikd.GetTrendingUsersResponse.profiles', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1818,
  serialized_end=1880,
)


_FOLLOWUSERREQUEST = _descriptor.Descriptor(
  name='FollowUserRequest',
  full_name='weclikd.FollowUserRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='user_id', full_name='weclikd.FollowUserRequest.user_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='settings', full_name='weclikd.FollowUserRequest.settings', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1882,
  serialized_end=1961,
)


_FOLLOWUSERRESPONSE = _descriptor.Descriptor(
  name='FollowUserResponse',
  full_name='weclikd.FollowUserResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1963,
  serialized_end=1983,
)


_UNFOLLOWUSERREQUEST = _descriptor.Descriptor(
  name='UnfollowUserRequest',
  full_name='weclikd.UnfollowUserRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='user_id', full_name='weclikd.UnfollowUserRequest.user_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1985,
  serialized_end=2023,
)


_UNFOLLOWUSERRESPONSE = _descriptor.Descriptor(
  name='UnfollowUserResponse',
  full_name='weclikd.UnfollowUserResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2025,
  serialized_end=2047,
)


_FOLLOWEDUSER = _descriptor.Descriptor(
  name='FollowedUser',
  full_name='weclikd.FollowedUser',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='user', full_name='weclikd.FollowedUser.user', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='settings', full_name='weclikd.FollowedUser.settings', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='created', full_name='weclikd.FollowedUser.created', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2050,
  serialized_end=2184,
)


_GETUSERSFOLLOWEDREQUEST = _descriptor.Descriptor(
  name='GetUsersFollowedRequest',
  full_name='weclikd.GetUsersFollowedRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2186,
  serialized_end=2211,
)


_GETUSERSFOLLOWEDRESPONSE = _descriptor.Descriptor(
  name='GetUsersFollowedResponse',
  full_name='weclikd.GetUsersFollowedResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='followed_users', full_name='weclikd.GetUsersFollowedResponse.followed_users', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2213,
  serialized_end=2286,
)


_GETNOTIFICATIONSREQUEST = _descriptor.Descriptor(
  name='GetNotificationsRequest',
  full_name='weclikd.GetNotificationsRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='filter', full_name='weclikd.GetNotificationsRequest.filter', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2288,
  serialized_end=2353,
)


_GETNOTIFICATIONSRESPONSE = _descriptor.Descriptor(
  name='GetNotificationsResponse',
  full_name='weclikd.GetNotificationsResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='notifications', full_name='weclikd.GetNotificationsResponse.notifications', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='end_cursor', full_name='weclikd.GetNotificationsResponse.end_cursor', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2355,
  serialized_end=2447,
)


_DELETENOTIFICATIONREQUEST = _descriptor.Descriptor(
  name='DeleteNotificationRequest',
  full_name='weclikd.DeleteNotificationRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='notification_id', full_name='weclikd.DeleteNotificationRequest.notification_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2449,
  serialized_end=2501,
)


_DELETENOTIFICATIONRESPONSE = _descriptor.Descriptor(
  name='DeleteNotificationResponse',
  full_name='weclikd.DeleteNotificationResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='notification', full_name='weclikd.DeleteNotificationResponse.notification', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2503,
  serialized_end=2576,
)


_GETNUMUNREADNOTIFICATIONSREQUEST = _descriptor.Descriptor(
  name='GetNumUnreadNotificationsRequest',
  full_name='weclikd.GetNumUnreadNotificationsRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2578,
  serialized_end=2612,
)


_GETNUMUNREADNOTIFICATIONSRESPONSE = _descriptor.Descriptor(
  name='GetNumUnreadNotificationsResponse',
  full_name='weclikd.GetNumUnreadNotificationsResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='num_unread_notifications', full_name='weclikd.GetNumUnreadNotificationsResponse.num_unread_notifications', index=0,
      number=1, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2614,
  serialized_end=2683,
)


_MARKNOTIFICATIONSASREADREQUEST = _descriptor.Descriptor(
  name='MarkNotificationsAsReadRequest',
  full_name='weclikd.MarkNotificationsAsReadRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2685,
  serialized_end=2717,
)


_MARKNOTIFICATIONSASREADRESPONSE = _descriptor.Descriptor(
  name='MarkNotificationsAsReadResponse',
  full_name='weclikd.MarkNotificationsAsReadResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2719,
  serialized_end=2752,
)


_GETALLUSERSREQUEST = _descriptor.Descriptor(
  name='GetAllUsersRequest',
  full_name='weclikd.GetAllUsersRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='filter', full_name='weclikd.GetAllUsersRequest.filter', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2754,
  serialized_end=2814,
)


_GETALLUSERSRESPONSE = _descriptor.Descriptor(
  name='GetAllUsersResponse',
  full_name='weclikd.GetAllUsersResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='users', full_name='weclikd.GetAllUsersResponse.users', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='end_cursor', full_name='weclikd.GetAllUsersResponse.end_cursor', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2816,
  serialized_end=2890,
)

_CHANGEACCOUNTSETTINGSREQUEST.fields_by_name['settings'].message_type = eros_dot_api_dot_account__pb2._ACCOUNTSETTINGS
_CHANGESUBSCRIPTIONREQUEST.fields_by_name['type'].enum_type = weclikd_dot_common_dot_subscription__pb2._SUBSCRIPTION_SUBSCRIPTIONTYPE
_GETACCOUNTIDFROMACCESSKEYRESPONSE.fields_by_name['custom_claims'].message_type = eros_dot_api_dot_account__pb2._CUSTOMCLAIMS
_CREATEACCOUNTRESPONSE.fields_by_name['account'].message_type = eros_dot_api_dot_account__pb2._ACCOUNT
_CREATEUSERRESPONSE.fields_by_name['user'].message_type = eros_dot_api_dot_user__pb2._USER
_EDITPROFILEREQUEST.fields_by_name['type'].enum_type = eros_dot_api_dot_profile__pb2._PROFILE_PROFILETYPE
_EDITPROFILERESPONSE.fields_by_name['profile'].message_type = eros_dot_api_dot_profile__pb2._PROFILE
_GETACCOUNTREQUEST.oneofs_by_name['oneof_id'].fields.append(
  _GETACCOUNTREQUEST.fields_by_name['external_account_id'])
_GETACCOUNTREQUEST.fields_by_name['external_account_id'].containing_oneof = _GETACCOUNTREQUEST.oneofs_by_name['oneof_id']
_GETACCOUNTREQUEST.oneofs_by_name['oneof_id'].fields.append(
  _GETACCOUNTREQUEST.fields_by_name['account_id'])
_GETACCOUNTREQUEST.fields_by_name['account_id'].containing_oneof = _GETACCOUNTREQUEST.oneofs_by_name['oneof_id']
_GETACCOUNTRESPONSE.fields_by_name['account'].message_type = eros_dot_api_dot_account__pb2._ACCOUNT
_GETPROFILESRESPONSE.fields_by_name['profiles'].message_type = eros_dot_api_dot_profile__pb2._PROFILE
_GETTRENDINGUSERSRESPONSE.fields_by_name['profiles'].message_type = eros_dot_api_dot_profile__pb2._PROFILE
_FOLLOWUSERREQUEST.fields_by_name['settings'].message_type = weclikd_dot_common_dot_follow__pb2._FOLLOWSETTINGS
_FOLLOWEDUSER.fields_by_name['user'].message_type = eros_dot_api_dot_profile__pb2._PROFILE
_FOLLOWEDUSER.fields_by_name['settings'].message_type = weclikd_dot_common_dot_follow__pb2._FOLLOWSETTINGS
_FOLLOWEDUSER.fields_by_name['created'].message_type = google_dot_protobuf_dot_timestamp__pb2._TIMESTAMP
_GETUSERSFOLLOWEDRESPONSE.fields_by_name['followed_users'].message_type = _FOLLOWEDUSER
_GETNOTIFICATIONSREQUEST.fields_by_name['filter'].message_type = weclikd_dot_common_dot_filter__pb2._DEFAULTFILTER
_GETNOTIFICATIONSRESPONSE.fields_by_name['notifications'].message_type = eros_dot_api_dot_notification__pb2._NOTIFICATION
_DELETENOTIFICATIONRESPONSE.fields_by_name['notification'].message_type = eros_dot_api_dot_notification__pb2._NOTIFICATION
_GETALLUSERSREQUEST.fields_by_name['filter'].message_type = weclikd_dot_common_dot_filter__pb2._DEFAULTFILTER
_GETALLUSERSRESPONSE.fields_by_name['users'].message_type = eros_dot_api_dot_profile__pb2._PROFILE
DESCRIPTOR.message_types_by_name['ChangeAccountSettingsRequest'] = _CHANGEACCOUNTSETTINGSREQUEST
DESCRIPTOR.message_types_by_name['ChangeAccountSettingsResponse'] = _CHANGEACCOUNTSETTINGSRESPONSE
DESCRIPTOR.message_types_by_name['ChangeSubscriptionRequest'] = _CHANGESUBSCRIPTIONREQUEST
DESCRIPTOR.message_types_by_name['ChangeSubscriptionResponse'] = _CHANGESUBSCRIPTIONRESPONSE
DESCRIPTOR.message_types_by_name['ChangeAccessKeyRequest'] = _CHANGEACCESSKEYREQUEST
DESCRIPTOR.message_types_by_name['ChangeAccessKeyResponse'] = _CHANGEACCESSKEYRESPONSE
DESCRIPTOR.message_types_by_name['CheckUsernameRequest'] = _CHECKUSERNAMEREQUEST
DESCRIPTOR.message_types_by_name['CheckUsernameResponse'] = _CHECKUSERNAMERESPONSE
DESCRIPTOR.message_types_by_name['GetAccountIdFromAccessKeyRequest'] = _GETACCOUNTIDFROMACCESSKEYREQUEST
DESCRIPTOR.message_types_by_name['GetAccountIdFromAccessKeyResponse'] = _GETACCOUNTIDFROMACCESSKEYRESPONSE
DESCRIPTOR.message_types_by_name['CreateAccountRequest'] = _CREATEACCOUNTREQUEST
DESCRIPTOR.message_types_by_name['CreateAccountResponse'] = _CREATEACCOUNTRESPONSE
DESCRIPTOR.message_types_by_name['CreateUserRequest'] = _CREATEUSERREQUEST
DESCRIPTOR.message_types_by_name['CreateUserResponse'] = _CREATEUSERRESPONSE
DESCRIPTOR.message_types_by_name['EditProfileRequest'] = _EDITPROFILEREQUEST
DESCRIPTOR.message_types_by_name['EditProfileResponse'] = _EDITPROFILERESPONSE
DESCRIPTOR.message_types_by_name['GetAccountRequest'] = _GETACCOUNTREQUEST
DESCRIPTOR.message_types_by_name['GetAccountResponse'] = _GETACCOUNTRESPONSE
DESCRIPTOR.message_types_by_name['GetProfilesRequest'] = _GETPROFILESREQUEST
DESCRIPTOR.message_types_by_name['GetProfilesResponse'] = _GETPROFILESRESPONSE
DESCRIPTOR.message_types_by_name['GetIdFromUsernameRequest'] = _GETIDFROMUSERNAMEREQUEST
DESCRIPTOR.message_types_by_name['GetIdFromUsernameResponse'] = _GETIDFROMUSERNAMERESPONSE
DESCRIPTOR.message_types_by_name['GetTrendingUsersRequest'] = _GETTRENDINGUSERSREQUEST
DESCRIPTOR.message_types_by_name['GetTrendingUsersResponse'] = _GETTRENDINGUSERSRESPONSE
DESCRIPTOR.message_types_by_name['FollowUserRequest'] = _FOLLOWUSERREQUEST
DESCRIPTOR.message_types_by_name['FollowUserResponse'] = _FOLLOWUSERRESPONSE
DESCRIPTOR.message_types_by_name['UnfollowUserRequest'] = _UNFOLLOWUSERREQUEST
DESCRIPTOR.message_types_by_name['UnfollowUserResponse'] = _UNFOLLOWUSERRESPONSE
DESCRIPTOR.message_types_by_name['FollowedUser'] = _FOLLOWEDUSER
DESCRIPTOR.message_types_by_name['GetUsersFollowedRequest'] = _GETUSERSFOLLOWEDREQUEST
DESCRIPTOR.message_types_by_name['GetUsersFollowedResponse'] = _GETUSERSFOLLOWEDRESPONSE
DESCRIPTOR.message_types_by_name['GetNotificationsRequest'] = _GETNOTIFICATIONSREQUEST
DESCRIPTOR.message_types_by_name['GetNotificationsResponse'] = _GETNOTIFICATIONSRESPONSE
DESCRIPTOR.message_types_by_name['DeleteNotificationRequest'] = _DELETENOTIFICATIONREQUEST
DESCRIPTOR.message_types_by_name['DeleteNotificationResponse'] = _DELETENOTIFICATIONRESPONSE
DESCRIPTOR.message_types_by_name['GetNumUnreadNotificationsRequest'] = _GETNUMUNREADNOTIFICATIONSREQUEST
DESCRIPTOR.message_types_by_name['GetNumUnreadNotificationsResponse'] = _GETNUMUNREADNOTIFICATIONSRESPONSE
DESCRIPTOR.message_types_by_name['MarkNotificationsAsReadRequest'] = _MARKNOTIFICATIONSASREADREQUEST
DESCRIPTOR.message_types_by_name['MarkNotificationsAsReadResponse'] = _MARKNOTIFICATIONSASREADRESPONSE
DESCRIPTOR.message_types_by_name['GetAllUsersRequest'] = _GETALLUSERSREQUEST
DESCRIPTOR.message_types_by_name['GetAllUsersResponse'] = _GETALLUSERSRESPONSE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

ChangeAccountSettingsRequest = _reflection.GeneratedProtocolMessageType('ChangeAccountSettingsRequest', (_message.Message,), {
  'DESCRIPTOR' : _CHANGEACCOUNTSETTINGSREQUEST,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ChangeAccountSettingsRequest)
  })
_sym_db.RegisterMessage(ChangeAccountSettingsRequest)

ChangeAccountSettingsResponse = _reflection.GeneratedProtocolMessageType('ChangeAccountSettingsResponse', (_message.Message,), {
  'DESCRIPTOR' : _CHANGEACCOUNTSETTINGSRESPONSE,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ChangeAccountSettingsResponse)
  })
_sym_db.RegisterMessage(ChangeAccountSettingsResponse)

ChangeSubscriptionRequest = _reflection.GeneratedProtocolMessageType('ChangeSubscriptionRequest', (_message.Message,), {
  'DESCRIPTOR' : _CHANGESUBSCRIPTIONREQUEST,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ChangeSubscriptionRequest)
  })
_sym_db.RegisterMessage(ChangeSubscriptionRequest)

ChangeSubscriptionResponse = _reflection.GeneratedProtocolMessageType('ChangeSubscriptionResponse', (_message.Message,), {
  'DESCRIPTOR' : _CHANGESUBSCRIPTIONRESPONSE,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ChangeSubscriptionResponse)
  })
_sym_db.RegisterMessage(ChangeSubscriptionResponse)

ChangeAccessKeyRequest = _reflection.GeneratedProtocolMessageType('ChangeAccessKeyRequest', (_message.Message,), {
  'DESCRIPTOR' : _CHANGEACCESSKEYREQUEST,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ChangeAccessKeyRequest)
  })
_sym_db.RegisterMessage(ChangeAccessKeyRequest)

ChangeAccessKeyResponse = _reflection.GeneratedProtocolMessageType('ChangeAccessKeyResponse', (_message.Message,), {
  'DESCRIPTOR' : _CHANGEACCESSKEYRESPONSE,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ChangeAccessKeyResponse)
  })
_sym_db.RegisterMessage(ChangeAccessKeyResponse)

CheckUsernameRequest = _reflection.GeneratedProtocolMessageType('CheckUsernameRequest', (_message.Message,), {
  'DESCRIPTOR' : _CHECKUSERNAMEREQUEST,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CheckUsernameRequest)
  })
_sym_db.RegisterMessage(CheckUsernameRequest)

CheckUsernameResponse = _reflection.GeneratedProtocolMessageType('CheckUsernameResponse', (_message.Message,), {
  'DESCRIPTOR' : _CHECKUSERNAMERESPONSE,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CheckUsernameResponse)
  })
_sym_db.RegisterMessage(CheckUsernameResponse)

GetAccountIdFromAccessKeyRequest = _reflection.GeneratedProtocolMessageType('GetAccountIdFromAccessKeyRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETACCOUNTIDFROMACCESSKEYREQUEST,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetAccountIdFromAccessKeyRequest)
  })
_sym_db.RegisterMessage(GetAccountIdFromAccessKeyRequest)

GetAccountIdFromAccessKeyResponse = _reflection.GeneratedProtocolMessageType('GetAccountIdFromAccessKeyResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETACCOUNTIDFROMACCESSKEYRESPONSE,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetAccountIdFromAccessKeyResponse)
  })
_sym_db.RegisterMessage(GetAccountIdFromAccessKeyResponse)

CreateAccountRequest = _reflection.GeneratedProtocolMessageType('CreateAccountRequest', (_message.Message,), {
  'DESCRIPTOR' : _CREATEACCOUNTREQUEST,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CreateAccountRequest)
  })
_sym_db.RegisterMessage(CreateAccountRequest)

CreateAccountResponse = _reflection.GeneratedProtocolMessageType('CreateAccountResponse', (_message.Message,), {
  'DESCRIPTOR' : _CREATEACCOUNTRESPONSE,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CreateAccountResponse)
  })
_sym_db.RegisterMessage(CreateAccountResponse)

CreateUserRequest = _reflection.GeneratedProtocolMessageType('CreateUserRequest', (_message.Message,), {
  'DESCRIPTOR' : _CREATEUSERREQUEST,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CreateUserRequest)
  })
_sym_db.RegisterMessage(CreateUserRequest)

CreateUserResponse = _reflection.GeneratedProtocolMessageType('CreateUserResponse', (_message.Message,), {
  'DESCRIPTOR' : _CREATEUSERRESPONSE,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CreateUserResponse)
  })
_sym_db.RegisterMessage(CreateUserResponse)

EditProfileRequest = _reflection.GeneratedProtocolMessageType('EditProfileRequest', (_message.Message,), {
  'DESCRIPTOR' : _EDITPROFILEREQUEST,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.EditProfileRequest)
  })
_sym_db.RegisterMessage(EditProfileRequest)

EditProfileResponse = _reflection.GeneratedProtocolMessageType('EditProfileResponse', (_message.Message,), {
  'DESCRIPTOR' : _EDITPROFILERESPONSE,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.EditProfileResponse)
  })
_sym_db.RegisterMessage(EditProfileResponse)

GetAccountRequest = _reflection.GeneratedProtocolMessageType('GetAccountRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETACCOUNTREQUEST,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetAccountRequest)
  })
_sym_db.RegisterMessage(GetAccountRequest)

GetAccountResponse = _reflection.GeneratedProtocolMessageType('GetAccountResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETACCOUNTRESPONSE,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetAccountResponse)
  })
_sym_db.RegisterMessage(GetAccountResponse)

GetProfilesRequest = _reflection.GeneratedProtocolMessageType('GetProfilesRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETPROFILESREQUEST,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetProfilesRequest)
  })
_sym_db.RegisterMessage(GetProfilesRequest)

GetProfilesResponse = _reflection.GeneratedProtocolMessageType('GetProfilesResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETPROFILESRESPONSE,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetProfilesResponse)
  })
_sym_db.RegisterMessage(GetProfilesResponse)

GetIdFromUsernameRequest = _reflection.GeneratedProtocolMessageType('GetIdFromUsernameRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETIDFROMUSERNAMEREQUEST,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetIdFromUsernameRequest)
  })
_sym_db.RegisterMessage(GetIdFromUsernameRequest)

GetIdFromUsernameResponse = _reflection.GeneratedProtocolMessageType('GetIdFromUsernameResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETIDFROMUSERNAMERESPONSE,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetIdFromUsernameResponse)
  })
_sym_db.RegisterMessage(GetIdFromUsernameResponse)

GetTrendingUsersRequest = _reflection.GeneratedProtocolMessageType('GetTrendingUsersRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETTRENDINGUSERSREQUEST,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetTrendingUsersRequest)
  })
_sym_db.RegisterMessage(GetTrendingUsersRequest)

GetTrendingUsersResponse = _reflection.GeneratedProtocolMessageType('GetTrendingUsersResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETTRENDINGUSERSRESPONSE,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetTrendingUsersResponse)
  })
_sym_db.RegisterMessage(GetTrendingUsersResponse)

FollowUserRequest = _reflection.GeneratedProtocolMessageType('FollowUserRequest', (_message.Message,), {
  'DESCRIPTOR' : _FOLLOWUSERREQUEST,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.FollowUserRequest)
  })
_sym_db.RegisterMessage(FollowUserRequest)

FollowUserResponse = _reflection.GeneratedProtocolMessageType('FollowUserResponse', (_message.Message,), {
  'DESCRIPTOR' : _FOLLOWUSERRESPONSE,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.FollowUserResponse)
  })
_sym_db.RegisterMessage(FollowUserResponse)

UnfollowUserRequest = _reflection.GeneratedProtocolMessageType('UnfollowUserRequest', (_message.Message,), {
  'DESCRIPTOR' : _UNFOLLOWUSERREQUEST,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.UnfollowUserRequest)
  })
_sym_db.RegisterMessage(UnfollowUserRequest)

UnfollowUserResponse = _reflection.GeneratedProtocolMessageType('UnfollowUserResponse', (_message.Message,), {
  'DESCRIPTOR' : _UNFOLLOWUSERRESPONSE,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.UnfollowUserResponse)
  })
_sym_db.RegisterMessage(UnfollowUserResponse)

FollowedUser = _reflection.GeneratedProtocolMessageType('FollowedUser', (_message.Message,), {
  'DESCRIPTOR' : _FOLLOWEDUSER,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.FollowedUser)
  })
_sym_db.RegisterMessage(FollowedUser)

GetUsersFollowedRequest = _reflection.GeneratedProtocolMessageType('GetUsersFollowedRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETUSERSFOLLOWEDREQUEST,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetUsersFollowedRequest)
  })
_sym_db.RegisterMessage(GetUsersFollowedRequest)

GetUsersFollowedResponse = _reflection.GeneratedProtocolMessageType('GetUsersFollowedResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETUSERSFOLLOWEDRESPONSE,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetUsersFollowedResponse)
  })
_sym_db.RegisterMessage(GetUsersFollowedResponse)

GetNotificationsRequest = _reflection.GeneratedProtocolMessageType('GetNotificationsRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETNOTIFICATIONSREQUEST,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetNotificationsRequest)
  })
_sym_db.RegisterMessage(GetNotificationsRequest)

GetNotificationsResponse = _reflection.GeneratedProtocolMessageType('GetNotificationsResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETNOTIFICATIONSRESPONSE,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetNotificationsResponse)
  })
_sym_db.RegisterMessage(GetNotificationsResponse)

DeleteNotificationRequest = _reflection.GeneratedProtocolMessageType('DeleteNotificationRequest', (_message.Message,), {
  'DESCRIPTOR' : _DELETENOTIFICATIONREQUEST,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.DeleteNotificationRequest)
  })
_sym_db.RegisterMessage(DeleteNotificationRequest)

DeleteNotificationResponse = _reflection.GeneratedProtocolMessageType('DeleteNotificationResponse', (_message.Message,), {
  'DESCRIPTOR' : _DELETENOTIFICATIONRESPONSE,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.DeleteNotificationResponse)
  })
_sym_db.RegisterMessage(DeleteNotificationResponse)

GetNumUnreadNotificationsRequest = _reflection.GeneratedProtocolMessageType('GetNumUnreadNotificationsRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETNUMUNREADNOTIFICATIONSREQUEST,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetNumUnreadNotificationsRequest)
  })
_sym_db.RegisterMessage(GetNumUnreadNotificationsRequest)

GetNumUnreadNotificationsResponse = _reflection.GeneratedProtocolMessageType('GetNumUnreadNotificationsResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETNUMUNREADNOTIFICATIONSRESPONSE,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetNumUnreadNotificationsResponse)
  })
_sym_db.RegisterMessage(GetNumUnreadNotificationsResponse)

MarkNotificationsAsReadRequest = _reflection.GeneratedProtocolMessageType('MarkNotificationsAsReadRequest', (_message.Message,), {
  'DESCRIPTOR' : _MARKNOTIFICATIONSASREADREQUEST,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.MarkNotificationsAsReadRequest)
  })
_sym_db.RegisterMessage(MarkNotificationsAsReadRequest)

MarkNotificationsAsReadResponse = _reflection.GeneratedProtocolMessageType('MarkNotificationsAsReadResponse', (_message.Message,), {
  'DESCRIPTOR' : _MARKNOTIFICATIONSASREADRESPONSE,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.MarkNotificationsAsReadResponse)
  })
_sym_db.RegisterMessage(MarkNotificationsAsReadResponse)

GetAllUsersRequest = _reflection.GeneratedProtocolMessageType('GetAllUsersRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETALLUSERSREQUEST,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetAllUsersRequest)
  })
_sym_db.RegisterMessage(GetAllUsersRequest)

GetAllUsersResponse = _reflection.GeneratedProtocolMessageType('GetAllUsersResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETALLUSERSRESPONSE,
  '__module__' : 'eros.api.eros_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetAllUsersResponse)
  })
_sym_db.RegisterMessage(GetAllUsersResponse)



_EROS = _descriptor.ServiceDescriptor(
  name='Eros',
  full_name='weclikd.Eros',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=2893,
  serialized_end=4692,
  methods=[
  _descriptor.MethodDescriptor(
    name='CreateAccount',
    full_name='weclikd.Eros.CreateAccount',
    index=0,
    containing_service=None,
    input_type=_CREATEACCOUNTREQUEST,
    output_type=_CREATEACCOUNTRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='CreateUser',
    full_name='weclikd.Eros.CreateUser',
    index=1,
    containing_service=None,
    input_type=_CREATEUSERREQUEST,
    output_type=_CREATEUSERRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='ChangeAccessKey',
    full_name='weclikd.Eros.ChangeAccessKey',
    index=2,
    containing_service=None,
    input_type=_CHANGEACCESSKEYREQUEST,
    output_type=_CHANGEACCESSKEYRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='CheckUsername',
    full_name='weclikd.Eros.CheckUsername',
    index=3,
    containing_service=None,
    input_type=_CHECKUSERNAMEREQUEST,
    output_type=_CHECKUSERNAMERESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetAccount',
    full_name='weclikd.Eros.GetAccount',
    index=4,
    containing_service=None,
    input_type=_GETACCOUNTREQUEST,
    output_type=_GETACCOUNTRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetAccountIdFromAccessKey',
    full_name='weclikd.Eros.GetAccountIdFromAccessKey',
    index=5,
    containing_service=None,
    input_type=_GETACCOUNTIDFROMACCESSKEYREQUEST,
    output_type=_GETACCOUNTIDFROMACCESSKEYRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetProfiles',
    full_name='weclikd.Eros.GetProfiles',
    index=6,
    containing_service=None,
    input_type=_GETPROFILESREQUEST,
    output_type=_GETPROFILESRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetIdFromUsername',
    full_name='weclikd.Eros.GetIdFromUsername',
    index=7,
    containing_service=None,
    input_type=_GETIDFROMUSERNAMEREQUEST,
    output_type=_GETIDFROMUSERNAMERESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='EditProfile',
    full_name='weclikd.Eros.EditProfile',
    index=8,
    containing_service=None,
    input_type=_EDITPROFILEREQUEST,
    output_type=_EDITPROFILERESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='ChangeAccountSettings',
    full_name='weclikd.Eros.ChangeAccountSettings',
    index=9,
    containing_service=None,
    input_type=_CHANGEACCOUNTSETTINGSREQUEST,
    output_type=_CHANGEACCOUNTSETTINGSRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='ChangeSubscription',
    full_name='weclikd.Eros.ChangeSubscription',
    index=10,
    containing_service=None,
    input_type=_CHANGESUBSCRIPTIONREQUEST,
    output_type=_CHANGESUBSCRIPTIONRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetTrendingUsers',
    full_name='weclikd.Eros.GetTrendingUsers',
    index=11,
    containing_service=None,
    input_type=_GETTRENDINGUSERSREQUEST,
    output_type=_GETTRENDINGUSERSRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetAllUsers',
    full_name='weclikd.Eros.GetAllUsers',
    index=12,
    containing_service=None,
    input_type=_GETALLUSERSREQUEST,
    output_type=_GETALLUSERSRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='FollowUser',
    full_name='weclikd.Eros.FollowUser',
    index=13,
    containing_service=None,
    input_type=_FOLLOWUSERREQUEST,
    output_type=_FOLLOWUSERRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='UnfollowUser',
    full_name='weclikd.Eros.UnfollowUser',
    index=14,
    containing_service=None,
    input_type=_UNFOLLOWUSERREQUEST,
    output_type=_UNFOLLOWUSERRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetUsersFollowed',
    full_name='weclikd.Eros.GetUsersFollowed',
    index=15,
    containing_service=None,
    input_type=_GETUSERSFOLLOWEDREQUEST,
    output_type=_GETUSERSFOLLOWEDRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetNotifications',
    full_name='weclikd.Eros.GetNotifications',
    index=16,
    containing_service=None,
    input_type=_GETNOTIFICATIONSREQUEST,
    output_type=_GETNOTIFICATIONSRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='DeleteNotification',
    full_name='weclikd.Eros.DeleteNotification',
    index=17,
    containing_service=None,
    input_type=_DELETENOTIFICATIONREQUEST,
    output_type=_DELETENOTIFICATIONRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetNumUnreadNotifications',
    full_name='weclikd.Eros.GetNumUnreadNotifications',
    index=18,
    containing_service=None,
    input_type=_GETNUMUNREADNOTIFICATIONSREQUEST,
    output_type=_GETNUMUNREADNOTIFICATIONSRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='MarkNotificationsAsRead',
    full_name='weclikd.Eros.MarkNotificationsAsRead',
    index=19,
    containing_service=None,
    input_type=_MARKNOTIFICATIONSASREADREQUEST,
    output_type=_MARKNOTIFICATIONSASREADRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_EROS)

DESCRIPTOR.services_by_name['Eros'] = _EROS

# @@protoc_insertion_point(module_scope)
